package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.Income;
import org.apache.ibatis.annotations.Param;
import org.springframework.security.core.parameters.P;

import java.util.List;

/**
 * @author Shawn
 */
public interface IncomeMapper {

    List<Income> selectByTime(@Param("unitNum") String unitNum,@Param("startTime") String startTime,@Param("endTime") String endTime);

    int insertIncomeStatus(@Param("userId") String userId, @Param("username") String username, @Param("unitId") String unitId,@Param("monthId") String monthId);

    String selectIncomeStatus(@Param("userId") String userName,@Param("unitId") String unitId,@Param("monthId") String monthId);

    int insertOne(Income income);


    void addUserIdColumn();

    List<Income> selectAll();

    void updateList(List<Income> list);
}
